use std::io::{self, Write};
use rand::Rng;
use std::cmp::Ordering;
// use std::str;

fn main() {
    println!("Let's play the guessing game!");
    let secret_number = rand::thread_rng().gen_range(1..=100);
    loop {
        print!("What's your guess?  ");
        io::stdout().flush().unwrap();
        let mut guess = String::new();
        io::stdin()
            .read_line(&mut guess)
            .expect("Sorry; something didn't quite work.");
        let guess: u32 = match guess.trim_end().parse() {
            Ok(num) => num,
            Err(_) => continue,
        };
        match guess.cmp(&secret_number) {
            Ordering::Less => println!("...bigger!"),
            Ordering::Greater => println!("...smaller!"),
            Ordering::Equal => {
                println!("You got it - it's {}!", secret_number);
                break;
            }
        }
        // io::stdout().flush().unwrap();
    }
}
